<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_weight="10"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:background="@color/operation_bg">

            <LinearLayout
                android:id="@+id/ll_row"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="3dp"
                android:layout_marginBottom="3dp"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/tv_message"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:ellipsize="end"
                        android:paddingLeft="5dp"
                        android:paddingTop="5dp"
                        android:paddingRight="5dp"
                        android:singleLine="true"
                        android:text="@string/dummy_str"
                        android:textColor="@color/operation_default_text_color"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/tv_send_date"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical"
                        android:padding="5dp"
                        android:text="@string/dummy_date_time"
                        android:textColor="@color/push_message_list_send_date_text" />

                    <TextView
                        android:id="@+id/tv_operation_name"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="15dp"
                        android:ellipsize="end"
                        android:gravity="center_vertical"
                        android:maxLines="1"
                        android:paddingLeft="3dp"
                        android:singleLine="true"
                        android:text="@string/dummy_str"
                        android:textColor="@color/operation_default_text_color" />

                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
</LinearLayout>